package cn.base.conf;

public class TraffAccident extends NodeHome {
	
	private String traffAccidentFtp;
	private String grpcAddress;
	private String webrtcUrl;
	private String grpcPort;
	private String alarmSearchChoose;//消息推送选择
	private String monitorMovedNotifyChoose;//相机移位信息接口选择
	private String urlAndPort;//算法接口的IP：端口
	
	
	
	public String getMonitorMovedNotifyChoose() {
		return monitorMovedNotifyChoose;
	}

	public void setMonitorMovedNotifyChoose(String monitorMovedNotifyChoose) {
		this.monitorMovedNotifyChoose = monitorMovedNotifyChoose;
	}

	public String getUrlAndPort() {
		return urlAndPort;
	}

	public void setUrlAndPort(String urlAndPort) {
		this.urlAndPort = urlAndPort;
	}

	public String getAlarmSearchChoose() {
		return alarmSearchChoose;
	}

	public void setAlarmSearchChoose(String alarmSearchChoose) {
		this.alarmSearchChoose = alarmSearchChoose;
	}

	public String getGrpcPort() {
		return grpcPort;
	}

	public void setGrpcPort(String grpcPort) {
		this.grpcPort = grpcPort;
	}

	public String getGrpcAddress() {
		return grpcAddress;
	}

	public void setGrpcAddress(String grpcAddress) {
		this.grpcAddress = grpcAddress;
	}

	public String getWebrtcUrl() {
		return webrtcUrl;
	}

	public void setWebrtcUrl(String webrtcUrl) {
		this.webrtcUrl = webrtcUrl;
	}

	public String getTraffAccidentFtp() {
		return traffAccidentFtp;
	}
	
	public void setTraffAccidentFtp(String traffAccidentFtp) {
		this.traffAccidentFtp = traffAccidentFtp;
	}
  
	public void fillField(){
		for(int i=0;i<this.getList().size();i++){
			String name=this.getList().get(i).getName();
			String value=this.getList().get(i).getValue();
			if(name.equalsIgnoreCase("traffAccidentFtp"))this.traffAccidentFtp = value;
			if(name.equalsIgnoreCase("grpcAddress"))this.grpcAddress = value;
			if(name.equalsIgnoreCase("webrtcUrl"))this.webrtcUrl = value;
			if(name.equalsIgnoreCase("grpcPort"))this.grpcPort = value;
			if(name.equalsIgnoreCase("alarmSearchChoose"))this.alarmSearchChoose = value;
			if(name.equalsIgnoreCase("monitorMovedNotifyChoose"))this.monitorMovedNotifyChoose = value;
			if(name.equalsIgnoreCase("urlAndPort"))this.urlAndPort = value;
		}
	}

}
